Get a specific enrichment
curl --request GET \
--url https://api.databar.ai/v1/enrichments/{enrichment_id} \
--header 'x-apikey: <x-apikey>'import requests
url = "https://api.databar.ai/v1/enrichments/{enrichment_id}"
headers = {"x-apikey": "<x-apikey>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-apikey': '<x-apikey>'}};
fetch('https://api.databar.ai/v1/enrichments/{enrichment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Enrichment Example",
"description": "Description for Enrichment Example",
"price": 0.01,
"pricing": {
"type": "per_parameter",
"parameter": "size"
},
"params": [
{
"name": "param1",
"is_required": true,
"type_field": "text",
"description": "Enter a value"
},
{
"name": "country",
"is_required": false,
"type_field": "select",
"description": "Select a country",
"choices": {
"mode": "inline",
"items": [
{
"id": "us",
"name": "United States"
},
{
"id": "gb",
"name": "United Kingdom"
}
]
}
},
{
"name": "industry",
"is_required": false,
"type_field": "select",
"description": "Select an industry",
"choices": {
"mode": "remote",
"endpoint": "/v1/enrichments/1/params/industry/choices"
}
},
{
"name": "categories",
"is_required": false,
"type_field": "mselect",
"description": "Select categories",
"choices": {
"mode": "inline",
"items": [
{
"id": "tech",
"name": "Technology"
},
{
"id": "finance",
"name": "Finance"
}
]
}
}
],
"response_fields": [
{
"name": "field1",
"type_field": "text"
}
]
}{
"detail": "Check the number of remaining credits or the tariff plan."
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Enrichments
Get a specific enrichment
Retrieve detailed information about a specific enrichment by its ID.
GET
/
v1
/
enrichments
/
{enrichment_id}
Get a specific enrichment
Headers
API Key for authentication
Path Parameters
The ID of the enrichment to retrieve
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I